API Reference
에이전트 조회
Authorization
BearerAuth AuthorizationBearer <token>
API Key를 Bearer 토큰으로 전달
In: header
Path Parameters
accountId*string
계정 ID
agentId*string
에이전트 ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/accounts/string/agents/string"{
"agentId": "cmagent123",
"name": "고객 지원 에이전트",
"instructions": "당신은 친절하고 유능한 한국어 음성 에이전트입니다. 사용자의 요청을 주의 깊게 듣고 정확하고 간결하게 답하세요.",
"greeting": true,
"language": "ko",
"model": "gpt-realtime-2.1-mini",
"voice": "7706804e-ea85-443a-968a-b9bf363bdde8",
"voiceProvider": "cartesia",
"voiceModel": "sonic-3.5",
"configuration": {
"outputMode": "realtime_voice",
"language": "string",
"knowledge": {
"enabled": true,
"topK": 1
},
"stt": {
"provider": "openai",
"model": "gpt-4o-transcribe",
"language": "ko",
"prompt": "string",
"temperature": 0,
"detect_language": true,
"noise_reduction_type": "near_field",
"use_realtime": true
},
"llm": {
"provider": "string",
"model": "string",
"voice": "string",
"property1": "string",
"property2": "string"
},
"tts": {
"provider": "cartesia",
"model": "sonic-3.5",
"voice": "30cbffd2-8150-49ae-9350-1bb3c0c35f29",
"language": "ko",
"speed": 0.6,
"volume": 0.5
},
"vad": {
"provider": "silero",
"min_silence_duration": 0,
"min_speech_duration": 0,
"prefix_padding_duration": 0,
"max_buffered_speech": 1,
"activation_threshold": 0,
"sample_rate": 16000,
"force_cpu": true
},
"session": {
"turn_detection": "vad",
"allow_interruptions": true,
"min_endpointing_delay": 0,
"max_endpointing_delay": 0,
"min_interruption_duration": 0
}
},
"phoneNumbers": [
"07012340001"
],
"dateCreated": "2019-08-24T14:15:22Z",
"dateUpdated": "2019-08-24T14:15:22Z"
}{
"error": "string",
"code": "recipient_blocked"
}{
"error": "string",
"code": "recipient_blocked"
}